Please or 注册 to create posts and topics.

fluidd 升级klipper v0.9.1-580以上版本 报错解决办法

系统自动升级后kipper后版本不同 指令无效。会出现mcu无法连接错误
mcu 'mcu': Command format mismatch: endstop_home oid=%c clock=%u sample_ticks=%u sample_count=%c rest_ticks=%u pin_value=%c trsync_oid=%c trigger_reason=%c vs endstop_home oid=%c clock=%u sample_ticks=%u sample_count=%c rest_ticks=%u pin_value=%c This type of error is frequently caused by running an older version of the firmware on the micro-controller (fix by recompiling and flashing the firmware). Known versions: host=v0.9.1-576-ge520fb78, mcu=v0.9.1-517-g341fc64a Once the underlying issue is corrected, use the "RESTART" command to reload the config and restart the host software. Protocol error connecting to printer
在 Fluidd 我已经升级了所有东西,现在我得到了这个错误。
mcu 'mcu':命令格式不匹配:endstop_home oid=%c clock=%u sample_ticks=%u sample_count=%c rest_ticks=%u pin_value=%c trsync_oid=%c trigger_reason=%c vs endstop_home oid=%c clock= %u sample_ticks=%u sample_count=%c rest_ticks=%u pin_value=%c 这种类型的错误经常是由于在微控制器上运行旧版本的固件引起的(通过重新编译和刷新固件来修复)。 已知版本:host=v0.9.1-576-ge520fb78,mcu=v0.9.1-517-g341fc64a 解决根本问题后,使用“RESTART”命令重新加载配置并重新启动主机软件。 连接打印机的协议错误
解决方法:
sudo service klipper stop
cd ~/klipper
git pull
make clean
make menuconfig
make
./scripts/flash-sdcard.sh /dev/serial/by-id/usb-1a86_USB_Serial-if00-port0 creality-v4.2.7
sudo service klipper start
然后参考树莓匹配主板过程。用winwcp将 klipper.bin复制出来改名 然后重新刷主板。问题解决
安装过加速器需要重新来过~
没有账号? 注册  忘记密码?

社交账号快速登录

open

由于他人恶意举报Voron 3D交流群。

各位流浪在外的爱好者回家的路

👇👇👇👇👇👇👇👇

新群:491307527